#include <stdio.h>
#include <stdlib.h>
#include "forms.h"
#include "test.h"

/*~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~*/
static FD_test1_form *fd_test1_form;
static FD_test2_form *fd_test2_form[2];

static FL_OBJECT *test1_folder_tab[2];
/*~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~*/

static int set_active_tab_bold(FL_OBJECT *folder, FL_OBJECT *folder_tab[])
{
    int tab;

    tab = fl_get_folder_number(folder) - 1;
    if (tab >= 0)
        fl_set_object_lstyle(folder_tab[tab], FL_NORMAL_STYLE);

    tab = fl_get_active_folder_number(folder) - 1;
    if (tab >= 0)
        fl_set_object_lstyle(folder_tab[tab], FL_BOLD_STYLE);

    return(tab);
}

void quit_cb(FL_OBJECT *ob, long data)
{
    fl_finish();
    exit(0);
}

void test1_folder_cb(FL_OBJECT *ob, long data)
{   
    set_active_tab_bold(fd_test1_form->test1_folder, test1_folder_tab);
}

int main(int argc, char *argv[])
{
    fl_initialize(&argc, argv, 0, 0, 0);

    fd_test1_form = create_form_test1_form();
    fd_test2_form[0] = create_form_test2_form();
    fd_test2_form[1] = create_form_test2_form();

    /* fill-in form initialization code */
    test1_folder_tab[0] = fl_addto_tabfolder(fd_test1_form->test1_folder,
                                "test1 tab 1", fd_test2_form[0]->test2_form);
    test1_folder_tab[1] = fl_addto_tabfolder(fd_test1_form->test1_folder,
                                "test1 tab 2", fd_test2_form[1]->test2_form);

    /* show the first form */
    fl_show_form(fd_test1_form->test1_form,FL_PLACE_CENTERFREE,FL_FULLBORDER,"test1_form");

    fl_set_folder_bynumber(fd_test1_form->test1_folder, 1);
    fl_set_object_lstyle(test1_folder_tab[0], FL_BOLD_STYLE);

    fl_do_forms();
    return 0;
}


#include "test.c"
